image: docker:stable-dind
services:
  - docker:dind
molecule:
  stage: test
  script:
  - apk update && apk add --no-cache
    python3 python3-dev py3-pip gcc git curl build-base
    autoconf automake py3-cryptography linux-headers
    musl-dev libffi-dev openssl-dev openssl openssh ca-certificates
  - update-ca-certificates --fresh
  - docker info
  - python3 --version
  - python3 -m pip install ansible molecule[docker]
  - ansible --version
  - molecule --version
  - molecule test
